### Class

# Gio ZlibCompressor

#### Description [src]

    final class Gio.ZlibCompressor : GObject.Object
      implements Gio.Converter {
      /* No available fields */
    }

`GZlibCompressor` is an implementation of `GConverter` that compresses data using zlib.

#### Hierarchy

#### Ancestors

- GObject

#### Implements

- GConverter

#### Constructors

###### g_zlib_compressor_new

Creates a compressor.

since: 2.24

#### Instance methods

###### g_zlib_compressor_get_file_info

Gets the `GZlibCompressor:file-info` property.

since: 2.26

###### g_zlib_compressor_get_os

Gets the `GZlibCompressor:os` property.

since: 2.86

###### g_zlib_compressor_set_file_info

Sets the `GZlibCompressor:file-info` property.

since: 2.26

###### g_zlib_compressor_set_os

Sets the `GZlibCompressor:os` property.

since: 2.86

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

##### Methods inherited from GConverter (3)

###### g_converter_convert

This is the main operation used when converting data. It is to be called multiple times in a loop, and each time it will do some work, i.e. producing some output (in `outbuf`) or consuming some input (from `inbuf`) or both. If its not possible to do any work an error is returned.

since: 2.24

###### g_converter_convert_bytes

Applies `converter` to the data in `bytes`.

since: 2.82

###### g_converter_reset

Resets all internal state in the converter, making it behave as if it was just created. If the converter has any internal state that would produce output then that output is lost.

since: 2.24

#### Properties

###### Gio.ZlibCompressor:file-info

A `GFileInfo` containing file information to put into the gzip header.

since: 2.26

###### Gio.ZlibCompressor:format

The format of the compressed data.

since: 2.24

###### Gio.ZlibCompressor:level

The level of compression from `0` (no compression) to `9` (most compression).

since: 2.24

###### Gio.ZlibCompressor:os

The OS code of the gzip header.

since: 2.86

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct GioZlibCompressorClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.